CoinUtils 2.10.15

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CoinThreadRandom Class Reference

Class for thread specific random numbers. More...

`#include <CoinHelperFunctions.hpp>`

Collaboration diagram for CoinThreadRandom:
[legend]

## Public Member Functions
Constructors, destructor
| CoinThreadRandom ()
| Default constructor. More...
| CoinThreadRandom (int seed)
| Constructor wih seed. More...
| ~CoinThreadRandom ()
| Destructor. More...
| CoinThreadRandom (const CoinThreadRandom &rhs)
CoinThreadRandom & | operator= (const CoinThreadRandom &rhs)
Sets/gets
void | setSeed (int seed)
| Set seed. More...
unsigned int | getSeed () const
| Get seed. More...
double | randomDouble () const
| return a random number More...
void | randomize (int n=0)
| make more random (i.e. for startup) More...

## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
unsigned int | seed_
| Current seed. More...

## Detailed Description

Class for thread specific random numbers.

Definition at line 953 of file CoinHelperFunctions.hpp.

## Constructor & Destructor Documentation

CoinThreadRandom::CoinThreadRandom | ( |  | ) |
| inline

Default constructor.

Definition at line 959 of file CoinHelperFunctions.hpp.

CoinThreadRandom::CoinThreadRandom | ( | int | seed | ) |
| inline

Constructor wih seed.

Definition at line 962 of file CoinHelperFunctions.hpp.

CoinThreadRandom::~CoinThreadRandom | ( |  | ) |
| inline

Destructor.

Definition at line 967 of file CoinHelperFunctions.hpp.

CoinThreadRandom::CoinThreadRandom | ( | const CoinThreadRandom & | rhs | ) |
| inline

Definition at line 969 of file CoinHelperFunctions.hpp.

## Member Function Documentation

CoinThreadRandom& CoinThreadRandom::operator= | ( | const CoinThreadRandom & | rhs | ) |
| inline

Definition at line 972 of file CoinHelperFunctions.hpp.

void CoinThreadRandom::setSeed | ( | int | seed | ) |
| inline

Set seed.

Definition at line 986 of file CoinHelperFunctions.hpp.

unsigned int CoinThreadRandom::getSeed | ( |  | ) | const
| inline

Get seed.

Definition at line 991 of file CoinHelperFunctions.hpp.

double CoinThreadRandom::randomDouble | ( |  | ) | const
| inline

return a random number

Definition at line 996 of file CoinHelperFunctions.hpp.

void CoinThreadRandom::randomize | ( | int | n = `0` | ) |
| inline

make more random (i.e. for startup)

Definition at line 1004 of file CoinHelperFunctions.hpp.

## Member Data Documentation

unsigned int CoinThreadRandom::seed_
| mutable protected

Current seed.

Definition at line 1019 of file CoinHelperFunctions.hpp.

The documentation for this class was generated from the following file:

- /tmp/CoinUtils-2.10.15/CoinUtils/src/CoinHelperFunctions.hpp